Index: sansview/perspectives/fitting/fitpage1D.py
===================================================================
--- sansview/perspectives/fitting/fitpage1D.py	(revision 44bbf6a18b0c05b5a9c2a72e75e3e936cb3a6fee)
+++ sansview/perspectives/fitting/fitpage1D.py	(revision d171299e22382ed2d80b560a39d007eb64c9d805)
@@ -54,4 +54,5 @@
         self.sizer2 = wx.GridBagSizer(5,5)
         self.sizer1 = wx.GridBagSizer(5,5)
+        #self.sizer1 =wx.BoxSizer(wx.HORIZONTAL)
         #self.DataSource      = wx.TextCtrl(self, -1,size=(_BOX_WIDTH,20))
         #self.DataSource.SetToolTipString("name of data to fit")
@@ -127,8 +128,12 @@
         self.xmax.Bind(wx.EVT_TEXT_ENTER, self._onTextEnter)
         self.xmax.Disable()
+        iy+=1
+        self.sizer4.Add((20,20),(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         #Set chisqr  result into TextCtrl
         ix = 0
         iy = 1
+        
         self.text1_1 = wx.StaticText(self, -1, 'Chi2/dof', style=wx.ALIGN_LEFT)
+        #self.sizer1.Add(self.text1_1,1)
         self.sizer1.Add(self.text1_1,(iy,ix),(1,1),\
                    wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
@@ -136,12 +141,17 @@
         self.tcChi    = wx.TextCtrl(self, -1,size=(_BOX_WIDTH,20))
         self.tcChi.SetToolTipString("Chi^2 over degrees of freedom.")
+        #self.sizer1.Add(self.tcChi, 1, wx.R | wx.BOTTOM , 5)
         self.sizer1.Add(self.tcChi,(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         ix +=2
+        #self.sizer1.Add(self.btFit, 1, wx.LEFT | wx.BOTTOM , 5)
         self.sizer1.Add(self.btFit,(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         ix+= 1
         self.sizer1.Add( self.btClose,(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+        #self.sizer1.Add( self.btClose,1, wx.LEFT | wx.BOTTOM , 5)
+
         ix= 1
         iy+=1
         self.sizer1.Add((20,20),(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+        #self.sizer1.Add((20,20), 0)
         # contains link between  model ,all its parameters, and panel organization
         self.parameters=[]
@@ -166,5 +176,5 @@
             @param owner: the class responsible of plotting
         """
-        self.event_owner=owner    
+        self.event_owner = owner    
    
   
Index: sansview/perspectives/fitting/fitpage2D.py
===================================================================
--- sansview/perspectives/fitting/fitpage2D.py	(revision 44bbf6a18b0c05b5a9c2a72e75e3e936cb3a6fee)
+++ sansview/perspectives/fitting/fitpage2D.py	(revision d171299e22382ed2d80b560a39d007eb64c9d805)
@@ -279,5 +279,5 @@
             post an event to its owner to draw an appropriate theory
         """
-        
+        self.btFit.SetFocus()
         for item in self.model_list_box.itervalues():
             name = item.__name__
@@ -364,4 +364,5 @@
     
         self.sizer2.Clear(True)
+        self.sizer5.Clear(True)
         self.parameters = []
         self.param_toFit=[]
@@ -429,7 +430,8 @@
         iy+=1
         self.sizer2.Add((20,20),(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        ix= 0
-        iy=1
+        
         if len(disp_list)>0:
+            ix= 0
+            iy=1
             disp = wx.StaticText(self, -1, 'Dispersion')
             self.sizer5.Add(disp,( iy, ix),(1,1),  wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
@@ -443,21 +445,21 @@
             #npts = wx.StaticText(self, -1, 'npts')
             #self.sizer5.Add(npts,( iy, ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-            iy+=1
+            iy +=1
             
-        for item in disp_list:
-            ix = 0
-            cb2 = wx.CheckBox(self, -1, item, (10, 10))
-            cb2.SetValue(False)
-            self.sizer5.Add( cb2,( iy, ix),(1,1),  wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-            wx.EVT_CHECKBOX(self, cb2.GetId(), self.select_param)
-            
-            ix += 1
-            value= self.model.getParam(item)
-            ctl2 = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=wx.TE_PROCESS_ENTER)
-            ctl2.SetValue(str (format_number(value)))
-            ctl2.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
-            ctl2.Bind(wx.EVT_TEXT_ENTER,self._onparamEnter)
-            self.sizer5.Add(ctl2, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-            iy += 1
+            for item in disp_list:
+                ix = 0
+                cb2 = wx.CheckBox(self, -1, item, (10, 10))
+                cb2.SetValue(False)
+                self.sizer5.Add( cb2,( iy, ix),(1,1),  wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+                wx.EVT_CHECKBOX(self, cb2.GetId(), self.select_param)
+                
+                ix += 1
+                value= self.model.getParam(item)
+                ctl2 = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=wx.TE_PROCESS_ENTER)
+                ctl2.SetValue(str (format_number(value)))
+                ctl2.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
+                ctl2.Bind(wx.EVT_TEXT_ENTER,self._onparamEnter)
+                self.sizer5.Add(ctl2, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                iy += 1
         #Display units text on panel
         for item in keys:   
Index: sansview/perspectives/fitting/modelpage.py
===================================================================
--- sansview/perspectives/fitting/modelpage.py	(revision 5cab7d3a9f1478cea177fb1914473b36526f6d00)
+++ sansview/perspectives/fitting/modelpage.py	(revision d171299e22382ed2d80b560a39d007eb64c9d805)
@@ -216,4 +216,6 @@
         if hasattr(self.model,'description'):
             description =model.description
+        
+
         print "went here",self.model.name,model.description
         iy = 1
@@ -222,6 +224,10 @@
         self.sizer1.Add(self.cb0,(iy, ix),(1,1),\
                           wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        ix += 1
-        self.cb01 = wx.StaticText(self, -1,str(description))
+        iy += 1
+        
+        self.cb01 = wx.StaticText(self, -1,str(description),style=wx.ALIGN_LEFT)
+        self.cb01.Wrap(400) 
+        #self.cb01 = wx.StaticText(self, -1,str(description),(45, 25),style=wx.ALIGN_LEFT)
+        
         self.sizer1.Add(self.cb01,(iy, ix),(1,1),\
                           wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
